diff --git a/doc/src/sgml/indexam.sgml b/doc/src/sgml/indexam.sgml
index c72c522175..2ef638dc7d 100644
--- a/doc/src/sgml/indexam.sgml
+++ b/doc/src/sgml/indexam.sgml
@@ -385,7 +385,8 @@ amcostestimate (PlannerInfo *root,
                 Cost *indexStartupCost,
                 Cost *indexTotalCost,
                 Selectivity *indexSelectivity,
-                double *indexCorrelation);
+                double *indexCorrelation,
+                double *indexPages);
 </programlisting>
    Estimate the costs of an index scan.  This function is described fully
    in <xref linkend="index-cost-estimation"/>, below.
@@ -1155,7 +1156,8 @@ amcostestimate (PlannerInfo *root,
                 Cost *indexStartupCost,
                 Cost *indexTotalCost,
                 Selectivity *indexSelectivity,
-                double *indexCorrelation);
+                double *indexCorrelation,
+                double *indexPages);
 </programlisting>
 
    The first three parameters are inputs:
@@ -1197,7 +1199,7 @@ amcostestimate (PlannerInfo *root,
   </para>
 
   <para>
-   The last four parameters are pass-by-reference outputs:
+   The last five parameters are pass-by-reference outputs:
 
    <variablelist>
     <varlistentry>
@@ -1236,6 +1238,15 @@ amcostestimate (PlannerInfo *root,
       </para>
      </listitem>
     </varlistentry>
+
+    <varlistentry>
+     <term><parameter>*indexPages</parameter></term>
+     <listitem>
+      <para>
+       Set to number of index leaf pages
+      </para>
+     </listitem>
+    </varlistentry>
    </variablelist>
   </para>
 
@@ -1283,6 +1294,11 @@ amcostestimate (PlannerInfo *root,
    table.
   </para>
 
+  <para>
+   The <parameter>indexPages</parameter> should be set to the number of leaf pages.  This is used
+   to adjust the estimate for the cost of the disk access. 
+  </para>
+
   <para>
    When <parameter>loop_count</parameter> is greater than one, the returned numbers
    should be averages expected for any one scan of the index.
